Subject: bug#60103: closed (Re: [External] : Re: bug#60103: 28.2; Doc string of `previous-history-element')

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Dec 2022 18:49:02 +0000

Your bug report

#60103: 28.2; Doc string of `previous-history-element'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60103: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60103
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [External] : Re: bug#60103: 28.2; Doc string of `previous-history-element'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Dec 2022 20:48:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 16 Dec 2022 17:53:34 +0000
> 
> > > The doc string says this:
> > >
> > >   Puts previous element of the minibuffer history in the minibuffer.
> > >   With argument N, it uses the Nth previous element.
> > >
> > > That second line makes it sound like arg N is optional.  It's not -
> > > there is no _without_ argument N.
> > 
> > What do you mean by "no _without_"?  This command is bound to M-p in
> > the minibuffer, and I can definitely invoke it as "just" M-n,
> > _without_ any prefix argument.
> 
> I mean "without argument N", not "without a prefix
> arg".
> 
> It's not possible to invoke the function without
> providing argument N - it's not optional.
> 
> If you want to say something like "With numeric
> prefix argument N..." then that would be fine.

That's what I did (the original doc string didn't mention the prefix
argument explicitly, but clearly alluded to that when it said
"argument").

Subject: 28.2; Doc string of `previous-history-element'
From: Drew Adams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 15 Dec 2022 21:05:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc string says this:

  Puts previous element of the minibuffer history in the minibuffer.
  With argument N, it uses the Nth previous element.

That second line makes it sound like arg N is optional.  It's not -
there is no _without_ argument N.

In GNU Emacs 28.2 (build 2, x86_64-w64-mingw32)
 of 2022-09-13 built on AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19044
System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.2251)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation
 --without-compress-install CFLAGS=-O2'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
XPM ZLIB

(NATIVE_COMP present but libgccjit not available)